##########################################################################
############################## VPN servers ###############################
##########################################################################

[Interface]
PrivateKey = {{ wireguard.privateKey }}
Address = {{ wireguard.privateIp }}/32
MTU = €# wireguard_device_mtu #€
ListenPort = €# lookup('env','WIREGUARD_LISTEN_PORT') | default('51820', true) #€
PostUp = ip -4 route add {{ wireguard.network }} dev €# lookup('env','WIREGUARD_INTERFACE') | default('wg0', true) #€
PostDown = ip -4 route del {{ wireguard.network }} dev €# lookup('env','WIREGUARD_INTERFACE') | default('wg0', true) #€
Table = off

{% for server in wireguard.orchestrators %}
{% if server.endpoint != wireguard.endpoint %}
[Peer]
PublicKey = {{ server.publicKey }}
Endpoint = {{ server.endpoint }}
AllowedIps = {{ server.ip }}/32
PersistentKeepalive = 25

{% endif %}
{% endfor %}

##########################################################################
############################## VPN LB      ###############################
##########################################################################

##########################################################################
############################## VPN clients ###############################
##########################################################################
